MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000082Soldat Dedicated ServerGeneralpublic2011-10-07 00:122013-06-02 23:06
ReporterFalcon 
Assigned ToFalcon 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version2.7.0 
Target VersionFixed in Version2.7.4 
Summary0000082: questionmarks replaces special chars in admin console
DescriptionAll special characters and national chars are replaced with questionmarks (?) in admin console, what causes custom user protocols to fail. Only windows servers are bugged.
Steps To Reproduce1. Establish a windows server.
2. Connect to it with admin client
3. Connect to the game with soldat and try to write your national characters.
4. Check the output in admin console
Additional InformationI'll add a script that produces a bad output if you fail to reproduce
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001196)
Falcon (administrator)
2011-10-07 00:19
edited on: 2011-10-07 00:20

I forgot to add: this bug may be related to bug 0000025, but if i understood correctly, the other one is about game, not admin console

(0001377)
Shoozza (administrator)
2012-03-01 02:09

The admin protocol isn't using unicode and everything is converted to normal strings which is the reason for the questionmarks.

- Issue History
Date Modified Username Field Change
2011-10-07 00:12 Falcon New Issue
2011-10-07 00:19 Falcon Note Added: 0001196
2011-10-07 00:20 Falcon Note Edited: 0001196 View Revisions
2012-03-01 02:09 Shoozza Note Added: 0001377
2012-03-01 02:09 Shoozza Status new => confirmed
2012-03-01 02:09 Shoozza Priority high => normal
2012-03-01 02:09 Shoozza Severity major => minor
2013-06-02 23:06 Falcon Status confirmed => resolved
2013-06-02 23:06 Falcon Fixed in Version => 2.7.4
2013-06-02 23:06 Falcon Resolution open => fixed
2013-06-02 23:06 Falcon Assigned To => Falcon


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker